=== debian/changelog ===
ardour (1:2.8.11-7) unstable; urgency=low

  * Fix FTBFS on kFreeBSD (Closes: #636921)
  * Use linux-any/!linux-any in arch lists (Closes: #634104)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 08 Aug 2011 16:43:50 +0200

ardour (1:2.8.11-6) unstable; urgency=low

  [ Miguel Colon ]
  * Add liboss-salsa-dev to the build dependency for kfreebsd and hurd.

  [ Adrian Knoth ]
  * Update VCS patch to r9326 (Closes: #625001)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 16 May 2011 16:50:33 +0200

ardour (1:2.8.11-5) unstable; urgency=low

  [ Miguel Colon ]
  * Use the new soundtouch.pc file.
  * Rebuild against the newest soundtouch in unstable.

  [ Adrian Knoth ]
  * Sync with upstream VCS r8077.
  * Really depend on libsoundtouch >= 1.5.0
  * Depend on liblrdf-0.4.0-4 with versioned raptor symbols.
  * Tighten dependency on libslv2-dev (>= 0.6.6-7) (Closes: #613411)
  * Require libraptor1-dev instead of virtual libraptor-dev.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 03 Mar 2011 11:03:45 +0100

ardour (1:2.8.11-4) experimental; urgency=low

  [ Adrian Knoth ]
  * Improve desktop and menu files
  * Add Ladish level 1 support

  [ Jonas Smedegaard ]
  * Lower Priority to extra: Depends on similarly prioritized
    libvamp-hostsdk3, libvamp-sdk2 and python-twisted.
  * Build-depend on libraptor-dev: Even if already pulled in by
    librdf1-dev, this might change and we must declare direct
    dependencies explicitly.
  * Let CDBS resolve if parallel build is enabled, and then use it
    unconditionally (i.e. without consulting /proc/cpuinfo).

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 29 Jan 2011 18:31:17 +0100

ardour (1:2.8.11-3) unstable; urgency=low

  * Backport upstream's fix for #598282, also fixing a potential security flaw
    via GTK_PATH (same threat as LD_LIBRARY_PATH)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 29 Sep 2010 10:42:44 +0200

ardour (1:2.8.11-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Recommend iceweasel and only fallback on virtual www-browser, and
    drop superfluous fallback on firefox.
  * Refresh patch using shortinging options --no-timestamps --no-index -
    pab.
  * Maintain package relations in rules file.
  * Fix have ardour replace and conflict with itself (as same name is
    used as virtual name for other flavors).
  * Add quirk to recommend firefox (not iceweasel) for Ubuntu.
  * Rewrite copyright file to recent draft DEP5 machine-readable format.
  * Fix add verbatim text for a(nother) Libtool exception in
    debian/copyright.

  [ Adrian Knoth ]
  * Unapply patches after git-buildpackage
  * Fix insecure library loading (Closes: #598282)

  [ Luke Yelavich ]
  * debian/control: Do not explicitly depend on a particular version of
    jackd

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 28 Sep 2010 16:44:12 +0200

ardour (1:2.8.11-1) unstable; urgency=low

  * New upstream version. (fix hanging transport after export)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 07 Jul 2010 22:45:19 +0200

ardour (1:2.8.10-1) unstable; urgency=low

  * New upstream version.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 17 Jun 2010 10:24:49 +0200

ardour (1:2.8.9-1) unstable; urgency=low

  * Imported Upstream version 2.8.9
  * Drop mute patch, it's been fixed upstream.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 02 Jun 2010 20:00:17 +0200

ardour (1:2.8.8-1) unstable; urgency=low

  * Imported Upstream version 2.8.8
  * Refresh ardour-x-change.patch

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 01 Jun 2010 20:58:59 +0200

ardour (1:2.8.7-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Drop Robert Jordens as uploader. Closes: bug#573469 - thanks for
    your contributions, Robert!
  * Add myself as uploader.
  * Indent with single space (not tab or multiple spaces) continuated
    fields in control file, to follow Debian Policy §7.1 documented
    convention.

  [ Adrian Knoth ]
  * New upstream release
  * Add mute patch to enable mute buttons by default (Closes: #582938)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 26 May 2010 15:58:32 +0200

ardour (1:2.8.6-1) unstable; urgency=low

  * New upstream release

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 23 Jan 2010 22:02:36 +0100

ardour (1:2.8.4-3) unstable; urgency=low

  * Build against vamp-plugin-sdk version 2.1 (Closes: #563588)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 04 Jan 2010 12:39:43 +0100

ardour (1:2.8.4-2) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Added mimetype handles to i686 and altivec optimized builds as well
  * Added libusb-dev to enable Tranzport driver (Closes: #560840) (LP: #248269)
  * Removed debian/control.in & debian/opt-control.in unused since 2007.
  * Added firefox as a third alternative in recommends field

  [ Adrian Knoth ]
  * Sync with Ubuntu Patches (Closes: #559526)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 07 Dec 2009 14:45:32 +0100

ardour (1:2.8.4-1) unstable; urgency=low

  * New upstream release 
  * Depend on libcurl4-gnutls-dev, nut libcurl4-dev

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 23 Nov 2009 15:49:12 +0100

ardour (1:2.8.3-2) unstable; urgency=low

  * Depend on liblo-dev instead of liblo0-dev

 -- Free Ekanayaka <freee@debian.org>  Thu, 12 Nov 2009 18:34:08 +0000

ardour (1:2.8.3-1) unstable; urgency=low

  [ Adrian Knoth]
  * New Upstream Version
  * Updated 60-libdir.patch
  * Updated 100_syslibs.patch
  * Updated Maintainer to new mailing list
  * Fix lintian warning about debian/NEWS
  * Bump standards version
  * Set DH compat version to 6
  * Added mimetype handles for .ardour files (Closes: #541118)
  * Support external UI LV2 extension (necessary for lv2fil)
  * Add copyright notice about GSM610. (Closes: #532455)
  * Fix spelling errors in description (Closes: #485892)
  * Removed Guenter Geigers from Uploaders (Closes: #546948)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 25 Jul 2009 12:25:17 +0200


