## ardour 2.8.12

=== SConstruct ===
--- 
+++ 
@@ -21,7 +21,7 @@
 SConsignFile()
 EnsureSConsVersion(0, 96)
 
-ardour_version = '2.8.11'
+ardour_version = '2.8.12'
 
 subst_dict = { }
 
@@ -61,7 +61,7 @@
     BoolVariable('GPROFILE', 'Compile with support for gprofile (Developers only)', 0),
     BoolVariable('FREEDESKTOP', 'Install MIME type, icons and .desktop file as per the freedesktop.org spec (requires xdg-utils and shared-mime-info). "scons uninstall" removes associations in desktop database', 0),
     BoolVariable('TRANZPORT', 'Compile with support for Frontier Designs (if libusb is available)', 1),
-    BoolVariable('AUBIO', "Use Paul Brossier's aubio library for feature detection (if available)", 1),
+    BoolVariable('AUBIO', "Use Paul Brossier's aubio library for feature detection", 1),
     BoolVariable('AUSTATE', "Build with support for AU settings & presets saving/loading", 0)
 )
 
@@ -301,3 +301,5 @@
         o.close ()
     except IOError:
         print "Could not open", target[0].get_path(), " for writing\n"
+        sys.exit (-1)
+
