=== libs/sigc++2/scripts/Makefile ===
--- 
+++ 
@@ -116,6 +116,7 @@
 PACKAGE_NAME = libsigc++
 PACKAGE_STRING = libsigc++ 2.2.2
 PACKAGE_TARNAME = libsigc++
+PACKAGE_URL = 
 PACKAGE_VERSION = 2.2.2
 PATH_SEPARATOR = :
 PERL_PATH = /usr/bin/perl
