=== debian/changelog ===
ardour (1:2.8.12-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Misspelling patches added.
  * Man page for ardour2 added.
  * Copyright file switched to rev. 174.

  [ Adrian Knoth ]
  * Add Jaromír Mikeš to the list of Uploaders.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 05 Oct 2011 05:09:47 +0200
