=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autotools-dev,
  cdbs (>= 0.4.72~),
- devscripts (>= 2.10.7~),
- debhelper (>= 6),
+ devscripts,
+ debhelper,
  dh-buildinfo,
  gettext,
  intltool,
@@ -50,7 +51,6 @@
 
 Package: ardour
 Architecture: any
-Section: sound
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
@@ -116,7 +116,6 @@
 
 Package: ardour-altivec
 Architecture: powerpc
-Section: sound
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
@@ -140,7 +139,6 @@
 
 Package: ardour-i686
 Architecture: i386
-Section: sound
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
